%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           prometheus_varnish_exporter
Version:        1.6.1
Release:        %{mybuildnumber}%{?dist}
Summary:        Varnish exporter for Prometheus
Group:          Applications/System

License:        BSD
URL:            https://github.com/jonnenauha/prometheus_varnish_exporter
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.service

BuildRequires:  golang-go
BuildRequires:  systemd-rpm-macros
BuildRequires:  coreutils
%{?systemd_requires}

%description
Scrapes the varnishstat -j JSON output on each Prometheus collect and exposes all
reported metrics. Metrics with multiple backends or varnish defined identifiers
(e.g. VBE.*.happy SMA.*.c_bytes LCK.*.creat) and other metrics with similar structure
(e.g. MAIN.fetch_*) are combined under a single metric name with distinguishable labels.
Vanish naming conventions are preserved as much as possible to be familiar to Varnish
users when building queries, while at the same time trying to following Prometheus
conventions like lower casing and using _ separators.

%prep
%setup -q -n %{name}

%build
go build -mod vendor ./...

%install
mkdir -p "%{buildroot}%{_bindir}/"
cp -f %{name} "%{buildroot}%{_bindir}/%{name}"
install -m 644 -D -t "$RPM_BUILD_ROOT/%{_unitdir}" "%SOURCE1"
mkdir -p "$RPM_BUILD_ROOT/%{_sysconfdir}/default"
echo 'PROMETHEUS_VARNISH_EXPORTER_OPTS=""' > "$RPM_BUILD_ROOT/%{_sysconfdir}/default/%{name}"

%post
%systemd_post %{name}.service

%postun
%systemd_postun %{name}.service

%preun
%systemd_preun %{name}.service


%files
%defattr(-, root, root)
%attr(0755, root, root) %{_bindir}/*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/default/%{name}

%changelog
* Mon Aug 09 2021  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial generic pipeline build.
